#include <iostream.h>
#include "collection.C"
template class cCollection<int>;

int main(void) {
  cCollection<int> ints;

  int i;
        
  // blast in numbers the same as their index
  for (i=0; i<40; i++) {
    ints.AddElem(i);
  }

  // overwrite the first 10 with the next 10
  for (i=0; i<10; i++) {
    ints[i] = ints[i+10];
  }

  cout << ints << endl;

  return(0);
}
